STU3 MedicationRequest
The MedicationRequest resource describes "an order or request for both supply of the medication and the instructions for administration of the medication to a patient." HL7 FHIR STU3 MedicationRequest
Supported Profiles
This API supports the following FHIR profiles:
Operations
The General Purpose STU3 API MedicationRequest resource supports the following standard operations. However, support varies by the targeted CareRecord or solution.
| CareRecord / Solution | Create | Read | Update | Search |
|---|---|---|---|---|
| GEHRIMED | - | - | - | - |
| myAvatar | - | - | - | - |
| myEvolv | - | - | - | - |
| myUnity | - | - | - | - |
Search
info
Not all Netsmart solutions support MedicationRequest search. See supported operations table above and consult your target solution's documentation for more information.
This operation retrieves a list of resources by these query parameters.
Standard Parameters
| Name | Type | Description |
|---|---|---|
| patient | reference | REQUIRED "Returns prescriptions for a specific patient |
Custom Parameters
| Name | Type | Description |
|---|---|---|
| end | date | Medication start date/time |
| start | date | Medication end date/time |
| status | String | Medication Status to filter by |
| text | String | Search text |
Search Examples
Via POST
The POST method is recommended as it keeps health information out of the URL.
- Production
- Preview
Search by Patient
curl -X POST https://fhir.netsmartcloud.com/fhir/MedicationRequest/_search \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json" \
-H "Content-Type: application/x-form-urlencoded" \
-d "patient=Patient/890"
Search by Patient
curl -X POST https://fhirtest.netsmartcloud.com/fhir/MedicationRequest/_search \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json" \
-H "Content-Type: application/x-form-urlencoded" \
-d "patient=Patient/890"
Via GET
- Production
- Preview
Search by Patient
curl -X GET "https://fhir.netsmartcloud.com/fhir/MedicationRequest?patient=Patient/890" \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json"
Search by Patient
curl -X GET "https://fhirtest.netsmartcloud.com/fhir/MedicationRequest?patient=Patient/890" \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json"